Bug 803886 - Graphical artifacts from previous boot (in Windows) remain after restarting into Fedora
Graphical artifacts from previous boot (in Windows) remain after restarting i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 16:20 EDT by Meyer S. Jacobs
Modified: 2013-02-27 20:03 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of session containing graphical artifacts from Windows 7 session. (269.92 KB, image/png)
2012-03-15 16:20 EDT, Meyer S. Jacobs
no flags Details
/var/log/messages-20120315 (trimmed to only contain today's messages) (206.81 KB, application/octet-stream)
2012-03-15 16:41 EDT, Meyer S. Jacobs
no flags Details
/var/log/Xorg.0.log (69.37 KB, text/x-log)
2012-03-15 16:42 EDT, Meyer S. Jacobs
no flags Details
dmidecode output (9.13 KB, text/plain)
2013-02-27 20:03 EST, ecvej
no flags Details

  None (edit)
Description Meyer S. Jacobs 2012-03-15 16:20:35 EDT
Created attachment 570430 [details]
Screenshot of session containing graphical artifacts from Windows 7 session.

Description of problem:
I am running a dual-boot system with Windows 7 and Fedora 16. Fedora 16's boot and data partitions are encrypted. I have two monitors. The problem arose under the following conditions:
I was in an active session under Windows 7. Intending to reboot into Fedora, I selected Restart from the Windows start menu. Everything proceeded normally as I waited to reach GRUB, selected Fedora, entered my encryption key, and finally reached the Fedora login manager. I selected my user, entered my password, and hit enter to login. After logging in, a distorted and torn image from my previous session (under windows) appeared drawn to the root window (under the Gnome UI, where the wallpaper would normally appear). I've attached a screenshot.

Logging out and logging in again resolved the issue, so far as is visible to me.


Version-Release number of selected component (if applicable):
Graphics card: Nvidia GeForce GTS 240
Graphics driver: Nouveau (xorg-x11-drv-nouveau-1:0.0.16-27.20110720gitb806e3f.fc16, 64-bit)
Desktop environment: Gnome 3.2.1
Kernel version: Linux 3.2.7-1.fc16.x64_86

How reproducible:
I am not yet certain. I have had similar graphical errors in the past, but never from a previous session in a different OS. I will comment with more details in the future.

Steps to Reproduce:
(untested)
1. Boot to Windows 7.
2. Go about normal activities, including running GPU-intensive applications and games.
3. Select "restart".
4. On reboot, select Fedora in GRUB.
5. Login.
  
Actual results:
Strange graphics artifacts appear drawn to the root window / background.

Expected results:
Wallpaper is drawn to the root window / background.

Additional info:
I'll upload some logs after submitting, as I can't seem to attach more than one file. 

I speculate that this bug has something to do with a graphics buffer not being cleared between boots. As error-free images were drawn to the screen before the error occurred (after logging in), the data must have been stored in a secondary buffer. I suppose grub, the drive decryption screen, the Fedora boot screen, and the Gnome 3 login manager may all have only used single-buffered graphics, thus allowing the data to persist through login. 

Although it hardly seems worth mentioning, I am using the default Fedora wallpaper, the same one used in the login screen.

As a closing note, I'd like to say that this is one of the more interesting bugs I've come across.
Comment 1 Meyer S. Jacobs 2012-03-15 16:41:08 EDT
Created attachment 570431 [details]
/var/log/messages-20120315 (trimmed to only contain today's messages)
Comment 2 Meyer S. Jacobs 2012-03-15 16:42:15 EDT
Created attachment 570432 [details]
/var/log/Xorg.0.log
Comment 3 Fedora End Of Life 2013-01-16 07:31:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 07:49:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 ecvej 2013-02-27 18:47:21 EST
This bug is still present in Fedora 18.

Windows 7 / Fedora 18 dual boot on separate drives.

Happy to add additional debug information to what the OP has already given, let me know what may be helpful.
Comment 6 Meyer S. Jacobs 2013-02-27 19:14:06 EST
(In reply to comment #5)
> This bug is still present in Fedora 18.
> 
> Windows 7 / Fedora 18 dual boot on separate drives.
> 
> Happy to add additional debug information to what the OP has already given,
> let me know what may be helpful.

I can no longer add up-to-date details on this bug, as I am no longer running Fedora (and I doubt the bug will be reproducible in a Virtualization). 

It might be useful to upload your system details and some log files.
Comment 7 ecvej 2013-02-27 20:03:39 EST
Created attachment 703724 [details]
dmidecode output

Details of my graphics card in case it is relevant:

VGA compatible controller: NVIDIA Corporation G96 [GeForce 9600M GT] (rev a1)

[quote]I speculate that this bug has something to do with a graphics buffer not being cleared between boots. As error-free images were drawn to the screen before the error occurred (after logging in), the data must have been stored in a secondary buffer. I suppose grub, the drive decryption screen, the Fedora boot screen, and the Gnome 3 login manager may all have only used single-buffered graphics, thus allowing the data to persist through login.[/quote]

This sounds logical. Were you on a similar hardware set up to me? (Dell laptop, see attached dmidecode output). Wondering if it Dell bios related rather than fedora.

Note You need to log in before you can comment on or make changes to this bug.